// Copyright 2006 The Closure Library Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview This is a stub for backward compatibility.
 * For actual documentation, please see {@link goog.ui.ac.InputHandler}.
 *
 */


goog.provide('goog.ui.AutoComplete.InputHandler');

goog.require('goog.ui.AutoComplete');
goog.require('goog.ui.ac.InputHandler');



// TODO(user): Remove this after known usages are replaced.
/**
 * This is a stub for backward compatibility.
 * For actual documentation, please see {@link goog.ui.ac.InputHandler}.
 *
 * @param {?string=} opt_separators Opt_separators.
 * @param {?string=} opt_literals Opt_literals.
 * @param {?boolean=} opt_multi Opt_multi.
 * @param {?number=} opt_throttleTime Opt_throttleTime.
 * @constructor
 * @extends {goog.Disposable}
 * @deprecated Use {@link goog.ui.ac.InputHandler} instead.
 */
goog.ui.AutoComplete.InputHandler = goog.ui.ac.InputHandler;


/**
 * This is a stub for backward compatibility.
 * For actual documentation, please see {@link goog.ui.ac.InputHandler}.
 * @type {string}
 */
goog.ui.AutoComplete.InputHandler.STANDARD_LIST_SEPARATORS =
    goog.ui.ac.InputHandler.STANDARD_LIST_SEPARATORS;


/**
 * This is a stub for backward compatibility.
 * For actual documentation, please see {@link goog.ui.ac.InputHandler}.
 * @type {string}
 */
goog.ui.AutoComplete.InputHandler.QUOTE_LITERALS =
    goog.ui.ac.InputHandler.QUOTE_LITERALS;
